#ifndef MESH_VIEW_H
#define MESH_VIEW_H

#include "my_mesh.h"
#include <QOpenGLExtraFunctions>
#include <QOpenGLContext>


class MeshView {
	GLuint vao;
	GLuint vbo;
	size_t nverts;
	QOpenGLExtraFunctions *glf;

public:
	const MyMesh &mesh;

	MeshView(QOpenGLExtraFunctions *glf, const MyMesh &mesh,
			 int pos_attr, int col_attr);
	~MeshView();
	void paint(QOpenGLContext *ctx,
			   int model_attr, int wireframe_attr) const;
};


#endif