#ifndef UTIL_H
#define UTIL_H

#include "my_mesh.h"


class HalfedgeLoopRange {
	MyMesh &mesh;
	const HalfedgeHandle &start;

  public:
	HalfedgeLoopRange(MyMesh &mesh, const HalfedgeHandle &start)
		:mesh(mesh), start(start) {}
	MyMesh::HalfedgeLoopIter begin() {
		return mesh.hl_begin(start);
	}
	MyMesh::HalfedgeLoopIter end() {
		return mesh.hl_end(start);
	}
};


#endif